Page MenuHomePhabricator

[lldb] Provide API to know which sanitizer generated an eStopReasonInstrumentation
AcceptedPublic

Authored by kubamracek on Feb 15 2017, 2:39 PM.

Details

Summary

We can provide this via StopReason->GetValue(). This is important so that users of SB API can treat various sanitizers differently (the extended stop reason data is also structured differently for different sanitizers).

Diff Detail

Event Timeline

kubamracek created this revision.Feb 15 2017, 2:39 PM
clayborg edited edge metadata.Feb 15 2017, 3:06 PM

I am fine as long is Jim Ingham is fine. Jim, if you are good with this, just put it into Accept Revision.

jingham requested changes to this revision.Feb 22 2017, 4:35 PM

Aargh, sorry. My queue is overflowing... I had one tiny comment about the tests. If you do that, then it will be fine to go in.

packages/Python/lldbsuite/test/functionalities/asan/TestMemoryHistory.py
126–132

Can you add a check that GetStopReasonDataCount and only do the check for GetStopReasonDataAtIndex if this is 1? We have the ability to run the testsuite against older lldb's and it's good not to add failures if it can be avoided. Plus it's good to check that that call is returning a reasonable value.

packages/Python/lldbsuite/test/functionalities/asan/TestReportData.py
65–67

Same comment as above.

packages/Python/lldbsuite/test/functionalities/tsan/basic/TestTsanBasic.py
57–59

Same comment as above.

This revision now requires changes to proceed.Feb 22 2017, 4:35 PM
kubamracek edited edge metadata.

Addressing review comments.

This revision now requires changes to proceed.May 3 2017, 10:04 AM
kubamracek requested review of this revision.May 3 2017, 10:05 AM
clayborg accepted this revision.May 3 2017, 10:27 AM

Looks fine to me, make sure Jim is happy as well.

jingham accepted this revision.May 3 2017, 11:26 AM

Sorry for the delay. That's fine.

This revision is now accepted and ready to land.May 3 2017, 11:26 AM